{ config, lib, pkgs, modulesPath, ... }:

{
  imports = [
    "${modulesPath}/profiles/base.nix"
  ];

  nixpkgs.crossSystem = {
    system = "riscv64-linux";
  };

  networking.hostName = "nixos-riscv";

  nixpkgs.overlays = [ (import ./overlay.nix) ];

  # Enable ssh on boot
  services.openssh.enable = true;

  system.stateVersion = "24.05";

  #boot.kernelPackages = lib.mkForce pkgs.linuxPackagesCustom;

  boot.kernelPatches = [ {
    name = "riscv-common";
    patch = null;
    extraConfig = ''
      KEXEC y
    '';
  } ];

  boot.kernelParams = [
    "console=tty1"
    "console=ttyS0,115200"
  ];

  services.getty.autologinUser = "test";

  users = {
    users.test = {
      password = "test";
      isNormalUser = true;
      extraGroups = [
        "wheel"
      ];
    };
  };

  environment.systemPackages = with pkgs; [ vim gdb neofetch gcc bintools ];
}
