{ config, lib, pkgs, modulesPath, ... }:

{
  nixpkgs.crossSystem = {
    system = "riscv64-linux";
    gcc.arch = "rv64g";
    gcc.tune = "rv64g";
  };

  # FIXME: Broken as rustc injects compressed instructions.
  # For now we disable it.
  services.nscd.enableNsncd = false;

  boot.kernelPatches = [ {
    name = "disable-compressed";
    patch = null;
    extraConfig = ''
      RISCV_ISA_C n
      NONPORTABLE y
      EFI n
    '';
  } ];
}
